Bug 946951 - F19-Alpha-TC3 fails QA:testcase User Interface Serial Console
Summary: F19-Alpha-TC3 fails QA:testcase User Interface Serial Console
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-01 02:20 UTC by Robert Lightfoot
Modified: 2013-04-04 17:32 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-04 17:32:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Robert Lightfoot 2013-04-01 02:20:55 UTC
Description of problem:
Serial Console will not accept a Fullname when creating a user
User and Root Passwords are in plain text, for security they are normally encrypted

Version-Release number of selected component (if applicable):
F19-Alpha-TC3-i386

How reproducible:
Every Trial

Steps to Reproduce:
1. Follow QA Test Case Instructions
2. Attempt to enter Fullname for non-root user 
3. enter passwords for non-root and root user
  
Actual results:
Fullanme not acccepted
Passwords in clear text

Expected results:
Fullname should be enterable
Passwords should be masked ** or ## for security

Additional info:

Comment 1 Chris Lumens 2013-04-01 14:38:02 UTC
What do you mean by "Fullname not accepted"?  What is the exact error message you are getting?

Comment 2 Robert Lightfoot 2013-04-01 16:21:51 UTC
clarifiction this is in the i386 version the x8664 version works as expected masking passwords and allowing fullname.
No error message,  you press 2 the option for FullName , then enter and it comes right back to print the menu 1thru7 never goes to the enter fullname propmt like the x8664 version does.

Comment 3 Robert Lightfoot 2013-04-03 22:09:49 UTC
I have repeated this test case in qemu-kvm as the original test was done in virtualbox with vmwaregateway and telnet to access the serial console.  The issue does not appear when the host is native linux {centos 6.4 in my case}.  It does appear using the windows tools.  I would not be against closing this bug as it is a corner case and the strict following of the testcase isntructions is successful.


Note You need to log in before you can comment on or make changes to this bug.